Package com.ocient.jdbc.proto

# Interface PlanProtocol.TestColumnOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.TestColumn`, `PlanProtocol.TestColumn.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.TestColumnOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`long` | `getBigintStart()` | `int64 bigint_start = 6;`
`String` | `getBinaryStart()` | note that this must also be an int32 in string format
`com.google.protobuf.ByteString` | `getBinaryStartBytes()` | note that this must also be an int32 in string format
`boolean` | `getBoolStart()` | `bool bool_start = 9;`
`int` | `getByteStart()` | note that this will be cast to an int8_t but protobuf doesnt have an int8 type
`PlanProtocol.SqlColType` | `getColType()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`int` | `getColTypeValue()` | the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator
`long` | `getCycleLen()` | the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing
`int` | `getDateStart()` | note that this must be a valid date
`double` | `getDoubleStart()` | `double double_start = 8;`
`float` | `getFloatStart()` | `float float_start = 7;`
`int` | `getIntStart()` | `int32 int_start = 5;`
`int` | `getIpv4Start()` | `uint32 ipv4_start = 10;`
`double` | `getNullChance()` | `double nullChance = 15;`
`long` | `getNullCycle()` | `uint64 nullCycle = 16;`
`int` | `getSmallintStart()` | note that this will be cast to an int16_t but protobuf doesnt have an int16 type
`PlanProtocol.TestColumn.StartValsCase` | `getStartValsCase()` |
`long` | `getTimestampStart()` | `int64 timestamp_start = 14;`
`String` | `getVarcharStart()` | note that this must be an int32 in string format
`com.google.protobuf.ByteString` | `getVarcharStartBytes()` | note that this must be an int32 in string format

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColTypeValue

int getColTypeValue()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

### getColType

PlanProtocol.SqlColType getColType()

    the type of the column, can't be an interval, matrix, or invalid for use in the column emitter operator

`.xg.db.sqlPlans.SqlColType colType = 1;`

### getCycleLen

long getCycleLen()

    the length of the cycle for this column, this is the number of times the same value should be emitted before incrementing

`uint64 cycleLen = 2;`

### getByteStart

int getByteStart()

    note that this will be cast to an int8_t but protobuf doesnt have an int8 type

`int32 byte_start = 3;`

### getSmallintStart

int getSmallintStart()

    note that this will be cast to an int16_t but protobuf doesnt have an int16 type

`int32 smallint_start = 4;`

### getIntStart

int getIntStart()
`int32 int_start = 5;`

### getBigintStart

long getBigintStart()
`int64 bigint_start = 6;`

### getFloatStart

float getFloatStart()
`float float_start = 7;`

### getDoubleStart

double getDoubleStart()
`double double_start = 8;`

### getBoolStart

boolean getBoolStart()
`bool bool_start = 9;`

### getIpv4Start

int getIpv4Start()
`uint32 ipv4_start = 10;`

### getVarcharStart

String getVarcharStart()

    note that this must be an int32 in string format

`string varchar_start = 11;`

### getVarcharStartBytes

com.google.protobuf.ByteString getVarcharStartBytes()

    note that this must be an int32 in string format

`string varchar_start = 11;`

### getBinaryStart

String getBinaryStart()

    note that this must also be an int32 in string format

`string binary_start = 12;`

### getBinaryStartBytes

com.google.protobuf.ByteString getBinaryStartBytes()

    note that this must also be an int32 in string format

`string binary_start = 12;`

### getDateStart

int getDateStart()

    note that this must be a valid date

`int32 date_start = 13;`

### getTimestampStart

long getTimestampStart()
`int64 timestamp_start = 14;`

### getNullChance

double getNullChance()
`double nullChance = 15;`

### getNullCycle

long getNullCycle()
`uint64 nullCycle = 16;`

### getStartValsCase

PlanProtocol.TestColumn.StartValsCase getStartValsCase()